Public Class frmGlobixMissingInput
    Private Sub frmGlobixMissingInput_Load(sender As Object, e As EventArgs) Handles Me.Load
        Me.lblMissingElementName.Text = CURR_MISSING_PATTERN_NAME
        Me.txtSearchtext.Text = CURR_MISSING_SEARCH_STRING
        Me.txtInput.Text = ""
    End Sub

    Private Sub frmGlobixMissingInput_Shown(sender As Object, e As EventArgs) Handles Me.Shown
        Me.txtInput.Focus()
    End Sub

    Private Sub btnAccept_Click(sender As Object, e As EventArgs) Handles btnAccept.Click
        If txtInput.Text <> String.Empty Then
            CURR_MISSING_MANUAL_VALUE = txtInput.Text
            Me.Close()
        End If
    End Sub
End Class